package ru.dbotthepony.mc.otm.worldgen

import net.minecraft.core.BlockPos
import net.minecraft.world.level.levelgen.placement.PlacementModifier
import ru.dbotthepony.mc.otm.core.collect.Vec3iHashStrategy
import ru.dbotthepony.mc.otm.worldgen.placement.EnhancedPlacementModifier

fun PlacementModifier.wrap(): EnhancedPlacementModifier {
	return EnhancedPlacementModifier.Wrapper(this)
}

data class PlacementPos(val pos: BlockPos, val variables: PlacementVariableMap) : Comparable<PlacementPos> {
	override fun compareTo(other: PlacementPos): Int {
		return Vec3iHashStrategy.compare(pos, other.pos)
	}
}
